curl --request GET \
--url https://api.kombo.dev/v1/hris/pay-runs \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/pay-runs"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/pay-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pay Runs
Retrieve all pay runs for all legal entities, across all time.
Supported integrations
Supported integrations
legal_entity_ids to scope the results to specific legal entities.
Top level filters use AND, while individual filters use OR if they accept multiple arguments. That means filters will be resolved like this: (id IN ids) AND (remote_id IN remote_ids)Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.
The number of results to return per page. Maximum is 250.
1 <= x <= 250Filter the entries based on the modification date in format YYYY-MM-DDTHH:mm:ss.sssZ. Returns records where either the record itself OR its nested data has been updated since this timestamp, even if the record's own changed_at field remains unchanged.
If you want to track entry deletion, also set the include_deleted=true query parameter, because otherwise, deleted entries will be hidden.
For more details, see Understanding changed_at vs updated_after Behavior.
For this endpoint, only changes to the returned record itself are considered.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$By default, deleted entries are not returned. Use the include_deleted query param to include deleted entries too.
true, false When set to true, filters targeting fields not supported by this integration will be ignored instead of filtering out all results.
true, false Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by a comma-separated list of legal entity IDs.
Response
GET /hris/pay-runs Positive response
"success"Show child attributes
Show child attributes
{ "next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=", "results": [ { "id": "HdyE3KNfcbNzXFRqwW1Wh2eP", "remote_id": "300000092871122", "start_date": "2026-01-01", "end_date": "2026-01-13", "legal_entity_id": "3Y6vdh2SPujGVx8oj4g8hdUu", "changed_at": "2026-01-10T12:32:01.000Z", "remote_deleted_at": null, "remote_data": null, "totals": { "gross_pay": { "currency": "USD", "value": 435300 }, "net_pay": { "currency": "USD", "value": 362300 }, "paid_amount": { "currency": "USD", "value": 306300.26 } } } ] }
Was this page helpful?